Update watchlist alert
curl --request PUT \
--url https://api-sandbox.synctera.com/v0/customers/{customer_id}/watchlists/alerts/{alert_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"created": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider_info": {},
"provider_subject_id": "<string>",
"provider_subscription_id": "<string>",
"provider_watchlist_name": "<string>",
"urls": [
"<string>"
],
"vendor_info": {
"content_type": "application/json",
"json": {},
"vendor": "SOCURE"
}
}
'import requests
url = "https://api-sandbox.synctera.com/v0/customers/{customer_id}/watchlists/alerts/{alert_id}"
payload = {
"created": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider_info": {},
"provider_subject_id": "<string>",
"provider_subscription_id": "<string>",
"provider_watchlist_name": "<string>",
"urls": ["<string>"],
"vendor_info": {
"content_type": "application/json",
"json": {},
"vendor": "SOCURE"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
created: '2023-11-07T05:31:56Z',
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
provider_info: {},
provider_subject_id: '<string>',
provider_subscription_id: '<string>',
provider_watchlist_name: '<string>',
urls: ['<string>'],
vendor_info: {content_type: 'application/json', json: {}, vendor: 'SOCURE'}
})
};
fetch('https://api-sandbox.synctera.com/v0/customers/{customer_id}/watchlists/alerts/{alert_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.synctera.com/v0/customers/{customer_id}/watchlists/alerts/{alert_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'created' => '2023-11-07T05:31:56Z',
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'provider_info' => [
],
'provider_subject_id' => '<string>',
'provider_subscription_id' => '<string>',
'provider_watchlist_name' => '<string>',
'urls' => [
'<string>'
],
'vendor_info' => [
'content_type' => 'application/json',
'json' => [
],
'vendor' => 'SOCURE'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.synctera.com/v0/customers/{customer_id}/watchlists/alerts/{alert_id}"
payload := strings.NewReader("{\n \"created\": \"2023-11-07T05:31:56Z\",\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"provider_info\": {},\n \"provider_subject_id\": \"<string>\",\n \"provider_subscription_id\": \"<string>\",\n \"provider_watchlist_name\": \"<string>\",\n \"urls\": [\n \"<string>\"\n ],\n \"vendor_info\": {\n \"content_type\": \"application/json\",\n \"json\": {},\n \"vendor\": \"SOCURE\"\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api-sandbox.synctera.com/v0/customers/{customer_id}/watchlists/alerts/{alert_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"created\": \"2023-11-07T05:31:56Z\",\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"provider_info\": {},\n \"provider_subject_id\": \"<string>\",\n \"provider_subscription_id\": \"<string>\",\n \"provider_watchlist_name\": \"<string>\",\n \"urls\": [\n \"<string>\"\n ],\n \"vendor_info\": {\n \"content_type\": \"application/json\",\n \"json\": {},\n \"vendor\": \"SOCURE\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.synctera.com/v0/customers/{customer_id}/watchlists/alerts/{alert_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"created\": \"2023-11-07T05:31:56Z\",\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"provider_info\": {},\n \"provider_subject_id\": \"<string>\",\n \"provider_subscription_id\": \"<string>\",\n \"provider_watchlist_name\": \"<string>\",\n \"urls\": [\n \"<string>\"\n ],\n \"vendor_info\": {\n \"content_type\": \"application/json\",\n \"json\": {},\n \"vendor\": \"SOCURE\"\n }\n}"
response = http.request(request)
puts response.read_body{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Watchlist (deprecated)
Update watchlist alert
deprecated
PUT
/
customers
/
{customer_id}
/
watchlists
/
alerts
/
{alert_id}
Update watchlist alert
curl --request PUT \
--url https://api-sandbox.synctera.com/v0/customers/{customer_id}/watchlists/alerts/{alert_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"created": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider_info": {},
"provider_subject_id": "<string>",
"provider_subscription_id": "<string>",
"provider_watchlist_name": "<string>",
"urls": [
"<string>"
],
"vendor_info": {
"content_type": "application/json",
"json": {},
"vendor": "SOCURE"
}
}
'import requests
url = "https://api-sandbox.synctera.com/v0/customers/{customer_id}/watchlists/alerts/{alert_id}"
payload = {
"created": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider_info": {},
"provider_subject_id": "<string>",
"provider_subscription_id": "<string>",
"provider_watchlist_name": "<string>",
"urls": ["<string>"],
"vendor_info": {
"content_type": "application/json",
"json": {},
"vendor": "SOCURE"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
created: '2023-11-07T05:31:56Z',
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
provider_info: {},
provider_subject_id: '<string>',
provider_subscription_id: '<string>',
provider_watchlist_name: '<string>',
urls: ['<string>'],
vendor_info: {content_type: 'application/json', json: {}, vendor: 'SOCURE'}
})
};
fetch('https://api-sandbox.synctera.com/v0/customers/{customer_id}/watchlists/alerts/{alert_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.synctera.com/v0/customers/{customer_id}/watchlists/alerts/{alert_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'created' => '2023-11-07T05:31:56Z',
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'provider_info' => [
],
'provider_subject_id' => '<string>',
'provider_subscription_id' => '<string>',
'provider_watchlist_name' => '<string>',
'urls' => [
'<string>'
],
'vendor_info' => [
'content_type' => 'application/json',
'json' => [
],
'vendor' => 'SOCURE'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.synctera.com/v0/customers/{customer_id}/watchlists/alerts/{alert_id}"
payload := strings.NewReader("{\n \"created\": \"2023-11-07T05:31:56Z\",\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"provider_info\": {},\n \"provider_subject_id\": \"<string>\",\n \"provider_subscription_id\": \"<string>\",\n \"provider_watchlist_name\": \"<string>\",\n \"urls\": [\n \"<string>\"\n ],\n \"vendor_info\": {\n \"content_type\": \"application/json\",\n \"json\": {},\n \"vendor\": \"SOCURE\"\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api-sandbox.synctera.com/v0/customers/{customer_id}/watchlists/alerts/{alert_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"created\": \"2023-11-07T05:31:56Z\",\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"provider_info\": {},\n \"provider_subject_id\": \"<string>\",\n \"provider_subscription_id\": \"<string>\",\n \"provider_watchlist_name\": \"<string>\",\n \"urls\": [\n \"<string>\"\n ],\n \"vendor_info\": {\n \"content_type\": \"application/json\",\n \"json\": {},\n \"vendor\": \"SOCURE\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.synctera.com/v0/customers/{customer_id}/watchlists/alerts/{alert_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"created\": \"2023-11-07T05:31:56Z\",\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"provider_info\": {},\n \"provider_subject_id\": \"<string>\",\n \"provider_subscription_id\": \"<string>\",\n \"provider_watchlist_name\": \"<string>\",\n \"urls\": [\n \"<string>\"\n ],\n \"vendor_info\": {\n \"content_type\": \"application/json\",\n \"json\": {},\n \"vendor\": \"SOCURE\"\n }\n}"
response = http.request(request)
puts response.read_body{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Authorizations
Path Parameters
Body
application/json
A watchlist body
Response
Watchlist alert was updated
Was this page helpful?

